package com.uas.platform.b2b.manage.core.support;

import com.uas.platform.b2b.manage.core.util.ContextUtils;
import org.apache.log4j.Logger;
import org.springframework.beans.BeansException;
import org.springframework.context.ApplicationContext;

import org.springframework.context.ApplicationContextAware;

/**
 * spring上下文
 * 
 * @author hejq
 * @date 2018-07-11 14:05
 */
public class ApplicationContextRegister implements ApplicationContextAware {
	private static Logger logger = Logger.getLogger(ApplicationContextRegister.class);

	@Override
    public void setApplicationContext(ApplicationContext applicationContext) throws BeansException {
		ContextUtils.setApplicationContext(applicationContext);
		logger.debug("ApplicationContext registed");
	}

}
